Debian Bug report logs - #646147
lie: FTBFS: /usr/bin/ld: cannot find -lncurses

version graph

Package: lie; Maintainer for lie is Gürkan Sengün <gurkan@phys.ethz.ch>; Source for lie is src:lie.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Fri, 21 Oct 2011 18:15:05 UTC

Severity: serious

Tags: patch

Found in version lie/2.2.2+dfsg-1.1

Fixed in version lie/2.2.2+dfsg-1.2

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, svenjoac@gmx.de, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#646147; Package lie. (Fri, 21 Oct 2011 18:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to svenjoac@gmx.de, Gürkan Sengün <gurkan@linuks.mine.nu>. (Fri, 21 Oct 2011 18:15:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lie: FTBFS: /usr/bin/ld: cannot find -lncurses
Date: Fri, 21 Oct 2011 20:09:22 +0200
Package: lie
Version: 2.2.2+dfsg-1.1
Severity: serious

From my pbuilder log:

,----
| gcc  -ansi -c date.c
| gcc  -o Lie.exe lexer.o parser.o non-ANSI.o bigint.o binmat.o creatop.o gettype.o getvalue.o init.o learn.o main.o mem.o node.o onoff.o output.o poly.o sym.o print.o getl.o date.o static/*.o box/*.o -lreadline -lncurses
| /usr/bin/ld: cannot find -lncurses
| collect2: ld returned 1 exit status
| make[2]: *** [Lie.exe] Error 1
`----

You probably want to undo the following change to the upstream source:

,----
| lie (2.2.2+dfsg-1) unstable; urgency=low
| [...]
|   * Added -lncurses to the link command; -lreadline is not enough.
| [...]
|  -- Kasper Peeters <kasper.peeters@aei.mpg.de>  Sun, 29 Apr 2006 19:07:13 +0100
`----

since it is not correct (at least today, don't know about the situation
5½ years ago).


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.1.0-rc10-nouveau (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#646147; Package lie. (Sun, 30 Oct 2011 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. (Sun, 30 Oct 2011 20:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 646147@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 646147@bugs.debian.org
Subject: Re: Bug#646147: lie: FTBFS: /usr/bin/ld: cannot find -lncurses
Date: Sun, 30 Oct 2011 21:50:02 +0100
[Message part 1 (text/plain, inline)]
tags 646147 + patch
thanks

On 2011-10-21 20:09 +0200, Sven Joachim wrote:

> Package: lie
> Version: 2.2.2+dfsg-1.1
> Severity: serious
>
> From my pbuilder log:
>
> ,----
> | gcc  -ansi -c date.c
> | gcc -o Lie.exe lexer.o parser.o non-ANSI.o bigint.o binmat.o
> | creatop.o gettype.o getvalue.o init.o learn.o main.o mem.o node.o
> | onoff.o output.o poly.o sym.o print.o getl.o date.o static/*.o
> | box/*.o -lreadline -lncurses
> | /usr/bin/ld: cannot find -lncurses
> | collect2: ld returned 1 exit status
> | make[2]: *** [Lie.exe] Error 1
> `----
>
> You probably want to undo the following change to the upstream source:
>
> ,----
> | lie (2.2.2+dfsg-1) unstable; urgency=low
> | [...]
> |   * Added -lncurses to the link command; -lreadline is not enough.
> | [...]
> |  -- Kasper Peeters <kasper.peeters@aei.mpg.de>  Sun, 29 Apr 2006 19:07:13 +0100
> `----
>
> since it is not correct (at least today, don't know about the situation
> 5½ years ago).

Debdiff that undoes the change to the Makefile is attached.

Cheers,
       Sven

[debdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 30 Oct 2011 20:51:08 GMT) Full text and rfc822 format available.

Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Sun, 04 Dec 2011 00:21:06 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 00:21:06 GMT) Full text and rfc822 format available.

Message #17 received at 646147-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 646147-close@bugs.debian.org
Subject: Bug#646147: fixed in lie 2.2.2+dfsg-1.2
Date: Sun, 04 Dec 2011 00:19:01 +0000
Source: lie
Source-Version: 2.2.2+dfsg-1.2

We believe that the bug you reported is fixed in the latest version of
lie, which is due to be installed in the Debian FTP archive:

lie_2.2.2+dfsg-1.2.diff.gz
  to main/l/lie/lie_2.2.2+dfsg-1.2.diff.gz
lie_2.2.2+dfsg-1.2.dsc
  to main/l/lie/lie_2.2.2+dfsg-1.2.dsc
lie_2.2.2+dfsg-1.2_amd64.deb
  to main/l/lie/lie_2.2.2+dfsg-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646147@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated lie package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 30 Oct 2011 21:44:13 +0100
Source: lie
Binary: lie
Architecture: source amd64
Version: 2.2.2+dfsg-1.2
Distribution: unstable
Urgency: low
Maintainer: Gürkan Sengün <gurkan@linuks.mine.nu>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lie        - Computer algebra package for Lie group computations
Closes: 646147
Changes: 
 lie (2.2.2+dfsg-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Do not link against ncurses (Closes: #646147).
Checksums-Sha1: 
 a1f0fcdca871bd96f22be2f287b7218259321e59 1804 lie_2.2.2+dfsg-1.2.dsc
 d936051e48a69526452df80dbd7a4112a4fcb5a0 3000 lie_2.2.2+dfsg-1.2.diff.gz
 7f5f7912655e517d549bfadc83b7c396c99b5abb 142910 lie_2.2.2+dfsg-1.2_amd64.deb
Checksums-Sha256: 
 c987fd85963c1617ffed198feeaa40b75cdd4bc54d1452d543005e6d892f140f 1804 lie_2.2.2+dfsg-1.2.dsc
 50dec501d208260d185485a6ff419a67a3635bb36ac27a893756b6f9017a6663 3000 lie_2.2.2+dfsg-1.2.diff.gz
 fddf54e9f7277ac78cc18813181af137f6c69e3e7a79a1d672a8671aca96af62 142910 lie_2.2.2+dfsg-1.2_amd64.deb
Files: 
 ee1324c096b704cbfea76bfadab9b325 1804 math optional lie_2.2.2+dfsg-1.2.dsc
 fd95ce8d6b3705019067c9b049a3c7fb 3000 math optional lie_2.2.2+dfsg-1.2.diff.gz
 d5897d98a7f4d2fe2865dce9b1060723 142910 math optional lie_2.2.2+dfsg-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJO2rn8AAoJELNGT4lqoVlI25YP/1YJ3G917mWo546KoxMVHfBV
m2O0pJwcRl1O2LOskDmS6DR5CJkx+oSHcHKQ3L4a/eiX2zG61VbssuGxkvJgvP22
CudIa3oPR7p/Q8MSmvIGMwQp3kmiL8PdGOlDN0jXJBBJ8lzID9kHVVHbactyodsL
WSDpfhdLeE85dnnmlDDQf9YW+gh4h64Y4W6gN0+CUczmlkPWjTw5LWj8u2EmhiEr
sA1xMPqgNxhiG4/6xsjmldW0WDlVM1o0uHJICB55Tq4jNaMxWCft8/9tqQyRXLOM
JvdVhfTjHVNt47yD/WUpwF7d4XkT5Sx9ukqnggAbYgk2kDKI9/No+lBWiO8+0ZZe
AKzWw/VvKD7S3g2K2f4Y9AhZ1XrzUoQsv2fyhJqJk+hyCxLMyuq4V68C+uVB/rih
9iyitl9cwtV1efQC06T49P6IoHaDG38IzSfYuKVWxH4wiYbaXceW3hV1fpZGjYr6
wd5/DnPlhcBKYj6aD4m7XiUwgzd6efmHi2re8a+NIRB+mS5W12+DHeHmmbpNs4+x
66PWoJA60RP0HBgt0n+u/pBe0FX4uL0z3cCVmtwjXq4mYflBRrhUcbK6Qj/4+tNL
YXqaLUQuCSSI2ZRuhX7hjqxgR22iI2u4p13EzXnNhIe4TI923xqsC1jjNBvGsLmb
ESFyw9jGsS+iFgDzZurN
=DF0a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Jan 2012 07:35:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:42:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.